Mailinglist Archive: opensuse-factory (188 mails)

< Previous Next >
Re: perl-issues (was: [opensuse-factory] New Tumbleweed snapshot 20181219 released!)
On 12/22/18 4:32 PM, Axel Braun wrote:
Am Samstag, 22. Dezember 2018, 15:00:01 CET schrieb Dominique Leuenberger:
- update to perl-5.28.1
* [CVE-2018-18311] Integer overflow leading to buffer overflow
* [CVE-2018-18312] Heap-buffer-overflow write in S_regatom

I guess this is the issue for:

T520:/home/docb # zypper dup -dl

3 Probleme:
Problem: perl-Gtk2-Ex-FormFactory-0.67-1.21.noarch benötigt
perl(:MODULE_COMPAT_5.26.2), kann jedoch nicht zur Verfügung gestellt werden
Problem: perl-5.26.2-1.4.x86_64 benötigt perl-base = 5.26.2, kann jedoch
nicht
zur Verfügung gestellt werden
Problem: perl-CBOR-XS-1.71-5.1.x86_64 benötigt perl(:MODULE_COMPAT_5.26.2),
kann jedoch nicht zur Verfügung gestellt werden

It seems more Perl-based packages are affected by this and also
PHP-based packages, e.g. nextcloud.

I wonder why that snapshot passed the tests.

Ciao, Michael.

< Previous Next >